//
//  main.m
//  Kreisrechner
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import <Foundation/Foundation.h>
#import "Kreisrechner.h"

int main (int argc, const char * argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];

	Kreisrechner *meinKreisrechner;
	meinKreisrechner = [Kreisrechner alloc];
	[meinKreisrechner init];
    
	double radius = 45.00;
	double hoehe = 12.00;
	
	int auswahl = 2;
	// 0 Umfang berechnen
	// 1 Fläche berechnen
	// 2 Volumen berechnen
	
	switch(auswahl)
	{
		case 0:
			[meinKreisrechner berechneUmfang:radius];
			break;
		case 1:
			[meinKreisrechner berechneFlaeche:radius];
			break;
		case 2:
			[meinKreisrechner berechneVolumen:radius:hoehe];
			break;		
		default:
			NSLog(@"Falsche Auswahl");
			break;
	}

    [pool drain];
    return 0;
}

